# TransactionsDSL

class TransactionsDSL (source)

DSL context for defining transactional operations with automatic rollback on failure. This class manages a list of rollback actions that will be executed in reverse order if an error occurs.

## Functions

rollableBackOperation
Link copied to clipboard
suspend fun < T > TransactionsDSL . rollableBackOperation (rollback: suspend RollbackContext < T >.() -> Unit , action: suspend () -> T ): T

Calls action and, if it succeeded - saving rollback action for future usage for cases when some other action or even main one throwing an error